## org.codehaus.plexus.util.cli.shell
Class BourneShell

    java.lang.Object
      org.codehaus.plexus.util.cli.shell.Shell
          org.codehaus.plexus.util.cli.shell.BourneShell

All Implemented Interfaces:
  Cloneable

    public class BourneShell

extends Shell

Version:
  $Id: BourneShell.java 8010 2009-01-07 12:59:50Z vsiveton $
Author:
  Jason van Zyl

Constructor Summary
`BourneShell()`
`BourneShell(boolean isLoginShell)`

Method Summary
`String` `getExecutable()`
`protected String` `getExecutionPreamble()`
`protected char[]` `getQuotingTriggerChars()`
`String[]` `getShellArgs()` Get the shell arguments
`List` `getShellArgsList()`
`protected static String` `unifyQuotes(String path)` Unify quotes in a path for the Bourne Shell.

Methods inherited from class org.codehaus.plexus.util.cli.shell.Shell

`addShellArg, clearArguments, clone, getArgumentQuoteDelimiter, getCommandLine, getEscapeChars, getExecutableQuoteDelimiter, getOriginalCommandLine, getOriginalExecutable, getRawCommandLine, getShellCommand, getShellCommandLine, getWorkingDirectory, getWorkingDirectoryAsString, isDoubleQuotedArgumentEscaped, isDoubleQuotedExecutableEscaped, isQuotedArgumentsEnabled, isQuotedExecutableEnabled, isSingleQuotedArgumentEscaped, isSingleQuotedExecutableEscaped, setArgumentQuoteDelimiter, setDoubleQuotedArgumentEscaped, setDoubleQuotedExecutableEscaped, setExecutable, setExecutableQuoteDelimiter, setQuotedArgumentsEnabled, setQuotedExecutableEnabled, setShellArgs, setShellCommand, setSingleQuotedArgumentEscaped, setSingleQuotedExecutableEscaped, setWorkingDirectory, setWorkingDirectory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BourneShell

    public BourneShell()

### BourneShell

    public BourneShell(boolean isLoginShell)

Method Detail

### getExecutable

    public String getExecutable()

  Overrides:
    `getExecutable` in class `Shell`

### getShellArgsList

    public List getShellArgsList()

  Overrides:
    `getShellArgsList` in class `Shell`

### getShellArgs

    public String[] getShellArgs()

  Description copied from class: `Shell`
  Get the shell arguments

  Overrides:
    `getShellArgs` in class `Shell`
  Returns:

### getExecutionPreamble

    protected String getExecutionPreamble()

  Overrides:
    `getExecutionPreamble` in class `Shell`

### getQuotingTriggerChars

    protected char[] getQuotingTriggerChars()

  Overrides:
    `getQuotingTriggerChars` in class `Shell`

### unifyQuotes

    protected static String unifyQuotes(String path)

  Unify quotes in a path for the Bourne Shell.

       BourneShell.unifyQuotes(null)                       = null
       BourneShell.unifyQuotes("")                         = (empty)
       BourneShell.unifyQuotes("/test/quotedpath'abc")     = /test/quotedpath\'abc
       BourneShell.unifyQuotes("/test/quoted path'abc")    = "/test/quoted path'abc"
       BourneShell.unifyQuotes("/test/quotedpath\"abc")    = "/test/quotedpath\"abc"
       BourneShell.unifyQuotes("/test/quoted path\"abc")   = "/test/quoted path\"abc"
       BourneShell.unifyQuotes("/test/quotedpath\"'abc")   = "/test/quotedpath\"'abc"
       BourneShell.unifyQuotes("/test/quoted path\"'abc")  = "/test/quoted path\"'abc"

  Parameters:
    `path` - not null path.
  Returns:
    the path unified correctly for the Bourne shell.